package helios.helios;

import android.content.Intent;
import android.graphics.Typeface;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity implements View.OnClickListener{

    public EditText editText_Imagenes, editText_Angulo, editText_Velocidad, editText_Intervalo;
    public TextView textView_reloj;
    public Button button_calcular;
    public Toast aviso;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // getSupportActionBar().setTitle("Helios");     // Cambia el texto de la barra superior

        editText_Imagenes = (EditText) findViewById(R.id.EditText_cantidad_imagenes_running);
        editText_Angulo = (EditText) findViewById(R.id.EditText_angulo_barrido_running);
        editText_Velocidad = (EditText) findViewById(R.id.EditText_velocidad_running);
        editText_Intervalo = (EditText) findViewById(R.id.EditText_intervalo_running);
        textView_reloj = (TextView) findViewById(R.id.textView_reloj);

        // Cambia la tipografía del reloj
        Typeface face = Typeface.createFromAsset(getAssets(),"fonts/Digit.TTF");
        textView_reloj.setTypeface(face);

        button_calcular = (Button) findViewById(R.id.button_calcular);
        button_calcular.setOnClickListener(this);
    }

    @Override
    public void onClick(View view){
        switch (view.getId()){
            case R.id.button_calcular:

                String Imagenes = editText_Imagenes.getText().toString();
                String Angulo = editText_Angulo.getText().toString();
                String Velocidad = editText_Velocidad.getText().toString();
                String Intervalo = editText_Intervalo.getText().toString();

                Intent intent;

                // Comprueba que todos los datos se han introducido y sean distintos de 0
                if( Imagenes.isEmpty() || Imagenes.equals("0") || Angulo.isEmpty() || Angulo.equals("0") ||
                        Velocidad.isEmpty() || Velocidad.equals("0") || Intervalo.isEmpty() || Intervalo.equals("0") ){

                    if( Imagenes.equals("0") || Angulo.equals("0") || Velocidad.equals("0") || Intervalo.equals("0") ) {
                        // Muestra un mensaje de error
                        Toast aviso = Toast.makeText(getApplicationContext(), "Error: No puede valer 0.", Toast.LENGTH_SHORT);
                        aviso.show();
                    }else{
                        Toast aviso = Toast.makeText(getApplicationContext(), "Error: Uno o más campos están vacíos.", Toast.LENGTH_SHORT);
                        aviso.show();
                    }

                    break;

                }else {

                    // Todos los datos se han introducido correctamente y se envían a RunningActivity
                    intent = new Intent(getApplicationContext(), RunningActivity.class);
                    intent.putExtra("Imagenes", Imagenes);
                    intent.putExtra("Angulo", Angulo);
                    intent.putExtra("Velocidad", Velocidad);
                    intent.putExtra("Intervalo", Intervalo);

                    startActivity(intent);

                    break;
                }

            default:
                break;
        }
    }
}
